Tryton - Issues

 

Issue8016

Title Define defautl widht and height of form widgets
Priority feature Status resolved
Superseder Nosy List ced, edbo, reviewbot, roundup-bot, smn
Type feature request Components tryton
Assigned To ced Keywords review
Reviews 45911002, 51621002
View: 45911002, 51621002

Created on 2019-01-20.15:02:44 by ced, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
Selección_001.png smn, 2019-01-21.18:14:53 image/png
Messages
New changeset 1bd492e596cd by Cédric Krier in branch 'default':
Set default size on dialog of CSV windows
https://hg.tryton.org/tryton-env/rev/1bd492e596cd
New changeset c01e16f97230 by Cédric Krier in branch 'default':
Set default size on dialog of CSV windows
https://hg.tryton.org/tryton/rev/c01e16f97230
New changeset 2e94d0d1afc3 by Cédric Krier in branch 'default':
Test all widgets of the field for expand
https://hg.tryton.org/tryton/rev/2e94d0d1afc3
New review51621002 at https://codereview.tryton.org/51621002/#ps1
msg46827 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-07.10:18:42
Here is review51621002
msg46826 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-02-07.10:17:27
I reopen because the widget test in wizard is not complete because it test only one widget per field instead of all the widgets.
New changeset 4b442069e0c8 by Cédric Krier in branch 'default':
Improve size request of form widgets
https://hg.tryton.org/tryton-env/rev/4b442069e0c8
New changeset c63256a6bb95 by Cédric Krier in branch 'default':
Improve size request of form widgets
https://hg.tryton.org/tryton/rev/c63256a6bb95
msg46132 (view) Author: [hidden] (smn) Date: 2019-01-21.23:26:49
LGTM
review45911002 updated at https://codereview.tryton.org/45911002/#ps60001
review45911002 updated at https://codereview.tryton.org/45911002/#ps40001
msg46121 (view) Author: [hidden] (smn) Date: 2019-01-21.18:14:53
Window list view for searching many2one values are always of same width. 
In your first implementation the width was computed pretty well based on number of columns in list except issues detailed before.
But now the window is too small again and independent of number of columns.
Image is attached.
msg46120 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-01-21.17:50:42
Please elaborate.
msg46119 (view) Author: [hidden] (smn) Date: 2019-01-21.17:42:50
after https://codereview.tryton.org/45911002/#ps20001, windows are again too small.
Indeed all windows for list view are using the minimun size and not taking number of columns into account.
msg46105 (view) Author: [hidden] (edbo) Date: 2019-01-21.11:06:07
What I'm seeing, is that users always make the windows bigger.

Just thinking: Is it possible to have a width (call it "W") of say 300px and calculate that back to the default_width_chars? So you define just one width ("W") and the width of the different fields are based on that width ("W"). Eventually you can make the width ("W") a configuration option.

Maybe way to complex .......
review45911002 updated at https://codereview.tryton.org/45911002/#ps20001
msg46103 (view) Author: [hidden] (smn) Date: 2019-01-21.10:00:38
I tested it and found some problems creating a shipment (in):
- the move lists are too large and you have to use the scroll to see xx2many toolbar buttons (new, delete, etc.)
- when searching product from move, the popup window is larger than screen.

Probably a maximum width is required.
The other windows I have tested work great!
review45911002 updated at https://codereview.tryton.org/45911002/#ps1
msg46101 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-01-20.15:02:44
From: https://discuss.tryton.org/t/change-size-of-wizard-window/922
We need to have better widget size request for the wizard but they can not be too big otherwise it is not allowed to resize them smaller.
I think for Entry it should be 25 chars (except for numeral which can be deduced). For list, it should have a width equals to the sum of columns with a maximum of 200px and height of 100px.
History
Date User Action Args
2019-02-19 15:57:04roundup-botsetmessages: + msg47115
2019-02-19 15:57:02roundup-botsetmessages: + msg47114
2019-02-13 10:57:43roundup-botsetstatus: testing -> resolved
messages: + msg46991
2019-02-07 10:47:47reviewbotsetmessages: + msg46831
2019-02-07 10:47:46reviewbotsetreviews: 45911002 -> 45911002, 51621002
2019-02-07 10:18:42cedsetstatus: in-progress -> testing
messages: + msg46827
2019-02-07 10:17:27cedsetstatus: resolved -> in-progress
messages: + msg46826
2019-02-05 19:24:23roundup-botsetmessages: + msg46753
2019-02-05 19:24:21roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg46752
2019-01-21 23:26:49smnsetmessages: + msg46132

Showing 10 items. Show all history (warning: this could be VERY long)